View Issue Details

IDProjectCategoryView StatusLast Update
0000051NewsStatsReportspublic2018-01-01 21:33
ReporterthhAssigned Tothh 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
ProjectionnoneETAnone 
Product VersionProduct Build 
Target Version0.02Fixed in Version0.02 
Summary0000051: Use sensible default for sorting order ("grouping")
DescriptionThough groupstats.pl tries to set some sensible defaults for the --group-by option, depending on report type and type of upper/lower bounds requested, SQLSortOrder() will group by month by default, even if that doesn't make any sense because the report has just one newsgroup, but more than one month.

Try to guess a smart default for that case, too.
TagsNo tags attached.

Activities

thh

thh

2018-01-01 21:23

administrator   ~0000070

Fixed with ea91003a.
thh

thh

2018-01-01 21:33

administrator   ~0000074

Mass closign resolved bugs.

Related Changesets

NewsStats: next ea91003a

2013-09-03 12:55:00

thh

Details Diff
One more default sorting order ("grouping").

If --group-by is not set, output will be grouped
by month by default (as long as --boundary is
not set to 'level' or 'average', where grouping
by newsgroup is default).

Now we default to 'newsgroup' if just one newsgroup
is requested by --newsgroups, but more than one
month by --month.

Both defaults can be overridden.

But forced --group-by=month for --report type
'average' or 'sum' in front so defaults are
not checked.

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - bin/groupstats.pl Diff File

Issue History

Date Modified Username Field Change
2013-08-17 21:22 thh New Issue
2013-09-01 17:57 thh Summary USe sensible default for sorting order ("grouping") => Use sensible default for sorting order ("grouping")
2013-09-03 14:34 thh Description Updated View Revisions
2013-09-03 15:16 thh Assigned To => thh
2013-09-03 15:16 thh Status new => assigned
2018-01-01 21:21 thh Changeset attached => NewsStats next ea91003a
2018-01-01 21:23 thh Status assigned => resolved
2018-01-01 21:23 thh Resolution open => fixed
2018-01-01 21:23 thh Fixed in Version => 0.02
2018-01-01 21:23 thh Note Added: 0000070
2018-01-01 21:33 thh Status resolved => closed
2018-01-01 21:33 thh Note Added: 0000074